Package: phpmyadmin / 4:5.0.4+dfsg2-2

Metadata

Package Version Patches format
phpmyadmin 4:5.0.4+dfsg2-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
debian.patch | (download)

libraries/vendor_config.php | 12 6 + 6 - 0 !
1 file changed, 6 insertions(+), 6 deletions(-)

 adjust phpmyadmin vendor configuration to match debian needs -
 configuration is in /etc/phpmyadmin - documentation is in /usr/share/doc -
 config file consists of several included files,
 so we skip mtime check - tempdir is in /var/lib/phpmyadmin/tmp

test autoload.patch | (download)

test/bootstrap-dist.php | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use generated autoloader-file for unittests

simplify composer or versions.patch | (download)

composer.json | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 simplify composer or package versions

phpMyAdmin is compatible with Twig 2 or 3. Just prevent future 4.
phpMyAdmin is compatible with motranslator 4 or 5. Just prevent future 6.

update _bootstrap.scss from pmahomme theme for sassc.patch | (download)

themes/pmahomme/scss/_bootstrap.scss | 70 35 + 35 - 0 !
1 file changed, 35 insertions(+), 35 deletions(-)

 update _bootstrap.scss from pmahomme theme for sassc because the
 scss compiler needs to access the right files to be able to compile them

remove EnvironmentTest testMySQL.patch | (download)

test/EnvironmentTest.php | 38 0 + 38 - 0 !
1 file changed, 38 deletions(-)

 remove testmysql from environmenttest

This test is useless and makes not sense.
Removed upstream in the next 5.1 version

Define and use TEST_PATH for Debian CI.patch | (download)

test/bootstrap-dist.php | 4 4 + 0 - 0 !
test/classes/ConfigTest.php | 4 2 + 2 - 0 !
test/classes/ThemeTest.php | 2 1 + 1 - 0 !
3 files changed, 7 insertions(+), 3 deletions(-)

 define and use test_path for debian ci

Group noautopkgtest for test failing on Debian CI.patch | (download)

test/classes/Display/ExportTest.php | 1 1 + 0 - 0 !
test/classes/ErrorTest.php | 1 1 + 0 - 0 !
2 files changed, 2 insertions(+)

 group noautopkgtest for test failing on debian ci

Fix test for Debian versions on Debian CI.patch | (download)

test/classes/ScriptsTest.php | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 patch debian test scriptstest::testgetdisplay for debian versions
 with a "+" char

Remove dfsg zxcvbn js.patch | (download)

js/server/privileges.js | 4 2 + 2 - 0 !
server_privileges.php | 1 0 + 1 - 0 !
server_replication.php | 1 0 + 1 - 0 !
user_password.php | 1 0 + 1 - 0 !
4 files changed, 2 insertions(+), 5 deletions(-)

 remove zxcvbn.js because it can not be re-built from source

CVE 2021 21252.patch | (download)

js/vendor/jquery/additional-methods.js | 4 2 + 2 - 0 !
js/vendor/jquery/jquery.validate.js | 27 17 + 10 - 0 !
package.json | 2 1 + 1 - 0 !
yarn.lock | 8 4 + 4 - 0 !
4 files changed, 24 insertions(+), 17 deletions(-)

 cve-2021-21252 - update jquery-validation to 1.19.3
Remove metro fonts.patch | (download)

themes/metro/img/user.svg | 6 6 + 0 - 0 !
themes/metro/scss/_common.scss | 111 8 + 103 - 0 !
themes/metro/scss/_navigation.scss | 14 0 + 14 - 0 !
3 files changed, 14 insertions(+), 117 deletions(-)

 remove metro fonts